Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.reporters
Class ANSIConsoleOutput

    java.lang.Object
      org.jbehave.core.reporters.PrintStreamOutput
          org.jbehave.core.reporters.TxtOutput
              org.jbehave.core.reporters.ConsoleOutput
                  org.jbehave.core.reporters.ANSIConsoleOutput

All Implemented Interfaces:
  StoryReporter

    public class ANSIConsoleOutput

extends ConsoleOutput

Story reporter that outputs as ANSI-coded text to System.out.

Nested Class Summary
`static class` | `ANSIConsoleOutput.SGRCode`

Nested classes/interfaces inherited from class org.jbehave.core.reporters.PrintStreamOutput
`PrintStreamOutput.Format`

Constructor Summary
`ANSIConsoleOutput()`
`ANSIConsoleOutput(Keywords keywords)`
`ANSIConsoleOutput(Properties outputPatterns, Keywords keywords, boolean reportFailureTrace)`

Method Summary
`void` | `assignCodeToEvent(String eventKey, ANSIConsoleOutput.SGRCode code)`
`protected String` | `format(String eventKey, String defaultPattern, Object... args)` Formats event output by key, usually equal to the method name.

Methods inherited from class org.jbehave.core.reporters.PrintStreamOutput
`afterExamples, afterScenario, afterStory, beforeExamples, beforeScenario, beforeStep, beforeStory, compressFailureTrace, doCompressFailureTrace, doReportFailureTrace, dryRun, escape, example, failed, failedOutcomes, formatTable, givenStories, givenStories, ignorable, lookupPattern, narrative, notPerformed, overwritePattern, pending, pendingMethods, print, reportFailureTrace, restarted, scenarioMeta, scenarioNotAllowed, storyCancelled, storyNotAllowed, successful, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ANSIConsoleOutput

    public ANSIConsoleOutput()

### ANSIConsoleOutput

    public ANSIConsoleOutput(Keywords keywords)

### ANSIConsoleOutput

    public ANSIConsoleOutput(Properties outputPatterns,
                             Keywords keywords,
                             boolean reportFailureTrace)

Method Detail

### format

    protected String format(String eventKey,
                            String defaultPattern,
                            Object... args)

  Description copied from class: `PrintStreamOutput`
  Formats event output by key, usually equal to the method name.

  Overrides:
    `format` in class `PrintStreamOutput`
  Parameters:
    `eventKey` - the event key
    `defaultPattern` - the default pattern to return if a custom pattern is not found
    `args` - the args used to format output
  Returns:
    A formatted event output

### assignCodeToEvent

    public void assignCodeToEvent(String eventKey,
                                  ANSIConsoleOutput.SGRCode code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.